Subject: bug#4994: 23.1.50; reftex-isearch-minor-mode does not restore to the original point

From: Leo <[email-masked]>
Date: Fri, 20 Nov 2009 22:44:15 +0000

Hi Juri,

On 2009-11-20 19:32 +0000, Juri Linkov wrote:
> Multi-buffer isearch has no chance to save the initial state because
> its setup is called too late - after the initial state (without
> additional information about the original buffer) is pushed to the stack.
>
> IOW, in `isearch-mode', `(isearch-push-state)' is called earlier than
> (run-hooks 'isearch-mode-hook) that sets up multi-buffer specific
> `isearch-push-state-function'.
>
> Changing the order of these lines fixes this bug.  However, this change has
> a risk of breaking other things.  So I need more time to test this fix.

Thank you for fixing the issue. I will wait for your final patch ;)

Best wishes,
Leo